package digital.laboratory.platform.inspection.enums;

import lombok.Getter;

@Getter
public enum TestRecordArgumentType {

    TEST_RECORD_ARGUMENT_INSTRUMENT("testRecordInstrument"),//实验仪器
    TEST_RECORD_ARGUMENT_INSTRUMENT_CONDITION("testRecordInstrumentCondition"),//实验仪器条件
    TEST_RECORD_ARGUMENT_METHOD("testRecordMethod"),//实验方法
    TEST_RECORD_ARGUMENT_REAGENT("testRecordReagent"),//实验试剂耗材、标准物质
    TEST_RECORD_ARGUMENT_SAMPLE_DATA("testRecordSampleData"),//实验样本
    TEST_RECORD_ARGUMENT_SAMPLE_SOLUTION("testRecordSampleSolution"),//实验样本溶液
    TEST_RECORD_ARGUMENT_STANDARD_SOLUTION("testRecordStandardSolution");//实验标准溶液

    private final String type;

    TestRecordArgumentType(String type) {
        this.type = type;
    }

    public static String getType(String type) {
        for (TestRecordArgumentType constans : values()) {
            if (constans.getType().equals(type)) {
                return constans.getType();
            }
        }
        return "";
    }
}
